Received: from mnm [127.0.0.1]
	by localhost with POP3 (fetchmail-5.9.0)
	for akpm@localhost (single-drop); Tue, 25 Mar 2003 06:01:43 -0800 (PST)
Received: by mangalore (mbox akpm)
 (with Cubic Circle's cucipop (v1.31 1998/05/13) Wed Mar 26 01:01:13 2003)
X-From_: wli@holomorphy.com  Wed Mar 26 00:58:45 2003
Return-Path: <wli@holomorphy.com>
Received: from holomorphy (mail@holomorphy.com [66.224.33.161])
	by mangalore.zipworld.com.au (8.12.3/8.12.3) with ESMTP id h2PDwi2G031497
	for <akpm@zip.com.au>; Wed, 26 Mar 2003 00:58:44 +1100
Received: from wli by holomorphy with local (Exim 3.35 #1 (Debian))
	id 18xowc-0006aC-00; Tue, 25 Mar 2003 05:58:26 -0800
Date: Tue, 25 Mar 2003 05:58:25 -0800
From: William Lee Irwin III <wli@holomorphy.com>
To: akpm@zip.com.au
Cc: linux-kernel@vger.kernel.org
Subject: init_inode_once() wants sizeof(struct hlist_head)
Message-ID: <20030325135825.GJ30140@holomorphy.com>
Mail-Followup-To: William Lee Irwin III <wli@holomorphy.com>,
	akpm@zip.com.au, linux-kernel@vger.kernel.org
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.3.28i
Organization: The Domain of Holomorphy
X-Spam-Status: No, hits=0.0 required=6.0
	tests=none
	version=2.31
X-Spam-Level: 

inode_init() wants to deal with things in in units of the size of
struct hlist_head, not struct list_head.


diff -urpN merge-2.5.66-7/fs/inode.c merge-2.5.66-8/fs/inode.c
--- merge-2.5.66-7/fs/inode.c	2003-03-24 14:01:48.000000000 -0800
+++ merge-2.5.66-8/fs/inode.c	2003-03-25 05:41:18.000000000 -0800
@@ -1260,7 +1260,7 @@ void __init inode_init(unsigned long mem
 		init_waitqueue_head(&i_wait_queue_heads[i].wqh);
 
 	mempages >>= (14 - PAGE_SHIFT);
-	mempages *= sizeof(struct list_head);
+	mempages *= sizeof(struct hlist_head);
 	for (order = 0; ((1UL << order) << PAGE_SHIFT) < mempages; order++)
 		;
 
